Download it now!
Bug 108950 - FILESAVE: Document is displayed in one page in MSO Word 2010 after roundtrip
Summary: FILESAVE: Document is displayed in one page in MSO Word 2010 after roundtrip
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Corrupted
  Show dependency treegraph
 
Reported: 2017-07-04 15:55 UTC by Xisco Faulí
Modified: 2019-03-16 03:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looks in MSO 2010 (171.37 KB, image/png)
2017-07-04 15:55 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-07-04 15:55:58 UTC
Created attachment 134480 [details]
How it looks in MSO 2010

Steps:
1. Open attachment 98599 [details] from bug 78370
2. Save it as .DOCX
3. Open it in MSO Word ( See the screenshot attached )

[Bug found by office-interoperability-tools]

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-07-04 15:58:23 UTC
Regression introduced by:

author  Caolán McNamara <caolanm@redhat.com>    2017-04-27 14:25:20 (GMT)
committer       Caolán McNamara <caolanm@redhat.com>    2017-04-27 14:28:00
(GMT)
commit  3eda8234acf09cd5a31cdcde76f04631a51fcc37 (patch)
tree    f038f1554670fd2ca315c7213ae8d14e84bf5e85
parent  e31c535b574fc37e6961c5ce7bd507a30e6abff1 (diff)
Resolves: tdf#107411 LibreOffice hangs at RTF import time
regression from...

commit b993942622897fc64a1f7462189fa0463eb30e1c
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Sat Apr 1 16:43:04 2017 +0100

    ubsan: use WrapTextMode_MAKE_FIXED_SIZE instead of -1 as unset flag

cause WrapTextMode_MAKE_FIXED_SIZE is >= 0

Bisected with bibisect-linux-64-5.4

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2017-07-04 16:46:40 UTC
Same result with attachment 67935 [details] from bug 55504
Comment 3 Caolán McNamara 2017-07-13 13:44:42 UTC
I don't think this is a regression here, if a.rtf is opened in 5.3 and saved to .docx and opened in MSWord its 1 page long. The reported regression is against a period where the import was broken so that the export looks right in word is presumably just a side-effect of that. As far as I can tell this was "always" broken.

Maybe miklos has some ideas
Comment 4 Xisco Faulí 2017-07-14 10:57:42 UTC
Hi Caolán,
I did some further investigation and as bug 108942, the issue was fixed by your commit b993942622897fc64a1f7462189fa0463eb30e1c and lately reintroduced by
3eda8234acf09cd5a31cdcde76f04631a51fcc37.
Previously, the document was displayed in MSO Word in different pages until 1c876f5616522ab695de8c0316cdb0c601081815. After this commit, MSO Word couldn't open it until the error was fixed by 83d51e5e52688c4c9bc0ad70a511458bb06a242d. After this commit, the document was already displayed in one page.
Comment 5 Xisco Faulí 2017-07-14 11:09:05 UTC
@Miklos, Any idea why b993942622897fc64a1f7462189fa0463eb30e1c fixed this commit and bug 108942 and b993942622897fc64a1f7462189fa0463eb30e1c reintroduced it again?
Comment 6 QA Administrators 2019-03-16 03:56:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug